with GNATCOM.Dispinterface;

package MSHTML.IHTMLAreasCollection_Interface is

   type IHTMLAreasCollection_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Initialize (This : in out IHTMLAreasCollection_Type);

   function Pointer (This : IHTMLAreasCollection_Type)
     return Pointer_To_IHTMLAreasCollection;

   procedure Attach (This    : in out IHTMLAreasCollection_Type;
                     Pointer : in     Pointer_To_IHTMLAreasCollection);

   procedure Put_length
     (This : IHTMLAreasCollection_Type;
      p    : Interfaces.C.long);

   function Get_length
     (This : IHTMLAreasCollection_Type)
     return Interfaces.C.long;

   function Getu_newEnum
     (This : IHTMLAreasCollection_Type)
     return GNATCOM.Types.Pointer_To_IUnknown;

   function item
     (This  : IHTMLAreasCollection_Type;
      name  : GNATCOM.Types.VARIANT  := GNATCOM.Types.VARIANT_MISSING;
      index : GNATCOM.Types.VARIANT  := GNATCOM.Types.VARIANT_MISSING;
      Free  : Boolean := True)
     return GNATCOM.Types.Pointer_To_IDispatch;

   function tags
     (This    : IHTMLAreasCollection_Type;
      tagName : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
     return GNATCOM.Types.Pointer_To_IDispatch;

   procedure add
     (This    : IHTMLAreasCollection_Type;
      element : Pointer_To_IHTMLElement;
      before  : GNATCOM.Types.VARIANT  := GNATCOM.Types.VARIANT_MISSING;
      Free    : Boolean := True);

   procedure remove
     (This  : IHTMLAreasCollection_Type;
      index : Interfaces.C.long);

end MSHTML.IHTMLAreasCollection_Interface;

